Subject: Linux HSR driver question

From: Murali Karicheri <[email-masked]>
Date: Thu, 9 Feb 2017 15:32:53 -0500

Hi Arvid,

While I work to add PRP support to the existing Linux HSR driver, I came across
a piece of code related to prune node function. The hsr_device.c adds the 
prune timer in hsr_dev_finalize() by calling

add_timer(&hsr->prune_timer);

But it is never restarted in hsr_prune_nodes(). Is that intentional or a bug?
I tried adding add_timer(&hsr->prune_timer) at the end of  hsr_prune_nodes(),
but then a iperf test stops with no traffic across the hsr interface and it
never recovers. I have to delete the interface and create it again to recover.
Is that the reason, it is currently disabled?

-- 
Murali Karicheri
Linux Kernel, Keystone